<?php
namespace phMagick\Core;

class ActionTest extends \PHPUnit_Framework_TestCase
{
    /**
     * @var Action
     */
    protected $object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */

    protected function setUp()
    {
        $this->object = new foo(null, null);
    }

    /**
     * Tears down the fixture, for example, closes a network connection.
     * This method is called after a test is executed.
     */

    protected function tearDown()
    {
    }

    public function testSetSource()
    {
        $this->object->setSource('foo');
        $this->assertEquals('foo', $this->object->getSource());
    }

    public function testSetDestination()
    {
        $this->object->setDestination('foo');
        $this->assertEquals('foo', $this->object->getDestination());
    }

    public function testGetCommand()
    {
        $this->assertTrue($this->object->getShellCommand());
    }
    /**
     * @dataProvider getGravityValues
     */
    public function testIsValidGravity($value)
    {
        $o = $this->object;
        $this->assertTrue($o->isValidGravity($value), "'$value' is not a valid gravity");
    }

    public function testIsValidGravity_NotValid()
    {
        $o = $this->object;
        $this->assertFalse($o->isValidGravity('asdasdasd'));
    }
    public static function getGravityValues()
    {
        return array(
            array('northwest'),
            array('north'),
            array('northeast'),
            array('west'),
            array('center'),
            array('east'),
            array('southwest'),
            array('south'),
            array('southeast')
        );
    }
}


/**
 * Test class for Action.
 * Generated by PHPUnit on 2011-12-12 at 15:59:41.
 */
class foo extends Action
{

	public function getShellCommand()
	{
		return true;
	}
}